@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600;700&display=swap');

:root {
   --yellow: #DAA520;
   --biege: #E3E2DE;
   --dark: #1B1B1B;

}

section {
    position: relative;
    overflow: hidden;

}

html {
  scroll-behavior: smooth;
}

body {
 
     font-family: 'Montserrat', 'Roboto', sans-serif;
}

.wrapper {
    max-width: 100%;
     margin: 0 auto;
    padding: 0 312px;
    overflow: hidden;
      padding-top: 128px;
    padding-bottom: 128px;
}

.btn {
  color: white;
  background: linear-gradient(45deg,#DAA520, #8B4513);
  text-align: center;
font-weight: 600;
font-size: 16px;
padding: 16px 24px;
    display: block;
   
}

.btn:hover  {
  background: var(--yellow);
}

.section-title {
font-weight: 500;
position: relative;
font-size: 18px;

display: inline-block;
margin-bottom: 24px;
}

.section-title::after {
  content: '';
  display: block;
  margin-top: 20px;
  width: 100%;
  height: 4px;
  background-color: var(--yellow);
}


.section-second-title {
font-weight: 600;
font-size: 30px;

}


.blur {
    filter: blur(5px);
    transition: filter 0.1s ease;
}
/* header */

.header {
  position: fixed; 
  top: 0; 
  left: 0; 
  right: 0;

  z-index: 10;
     background-color: rgba(0, 0, 0, 0.3); /* Напівпрозорий білий колір */
    backdrop-filter: blur(10px); /* Регулювання інтенсивності розмиття */
    -webkit-backdrop-filter: blur(10px); /* Для підтримки в Safari */
}

.header-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 32px;
    padding-bottom: 32px;
    transition: background-color  0.3s ease;
}

.nav-list {
  display: flex; 
  align-items: center;
  gap: 64px;
}

.nav-item {
    text-align: center;
}

.nav-item a{
font-weight: 600;
font-size: 16px;
color: white;
transition: color 0.3s ease;

}

.nav-item a:hover {
color: var(--yellow);
}

.header-btn {
  margin-left: 15px;
}

.header-logo {
    max-width: 251px;
}

.header-nav {
        display: flex;
    gap: 15px;
}

.burger-btn {
  width: 28px;
  height: 28px;
  background-image: url('/wp-content/themes/twentytwentyfive/assets/images/menu.svg');
  background-position: center;
  display: none;
  transition: background-image 0.3s ease;
}

.burger-list {
  flex-direction: column;
  align-items: center;
  gap: 24px;
  margin-bottom: 140px;
}

.burger-nav {
  display: flex;  
  flex-direction: column;
      position: absolute;
    top: 100%;
  align-items: center;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--dark);
  width: 100%;
  max-height: 0;
  opacity: 0;
  overflow: hidden;
  transition: opacity 0.3s ease, max-height 0.5s ease;
}
.burger-nav.active {
   padding-top: 140px;
  padding-bottom: 30px;
   
  margin-bottom: 140px;
   max-height: 3000px;
  opacity: 1;
}



.header-wrapper.active {
  background-color: var(--dark);
  
}

.burger-nav .footer-contact-block {
  color: white;
}

.burger-btn.active {
background-image: url('/wp-content/themes/twentytwentyfive/assets/images/close-circle.svg');
}



/* hero */

.hero-section {
    background: 
    linear-gradient(rgba(0,0,0,0.6), rgba(0,0,0,0.6)), 
    url('/wp-content/themes/twentytwentyfive/assets/images/hero-bg.jpg') center/cover no-repeat;
  color: white;
}

.hero-wrapper {
  padding-top: 365px;
 padding-bottom: 365px;
}

.hero-title {
font-weight: 900;
font-size: 64px;
margin-bottom: 24px;
    max-width: 840px;
text-transform: uppercase;
}

.hero-text {
font-weight: 400;
font-size: 18px;
margin-bottom: 48px;
max-width: 780px;
}

.hero-btn {
  padding: 24px 96px;
  font-size: 24px;
      max-width: 416px;
}


.hero-addition-section {
  padding-top: 180px;
  padding-bottom: 180px;
  position: relative;
  overflow: visible;
}

.cards {
  position: absolute;
  display: flex;
  justify-content: center;
  gap: 24px;
  width: 100%;
      top: -50%;
}

.card {
  display: flex;
  flex-direction: column;
  min-height: 460px;
  background-color: var(--biege);
  padding: 16px;
  width: 20%;
}

.card-img {
  background-color: white;
  border-radius: 12px;
  width: 100%;
  height: 100%;
}

.card-text {
  margin-top: 16px;
font-weight: 600;
font-size: 24px;
align-self: center;
}

/* short info */

.short-info {
  background-color: var(--biege);
}

.swiper-slide {
 min-width: 1000px;

 background-color: transparent;
}


.slide-top {
  background-color: var(--dark);
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 24px 64px;
}

.slide-top span, .slide-top p {
font-size: 24px;
text-transform: uppercase;
color: white;
font-weight: 900;
}

.slide-bot {
  padding: 64px;
  background-color: white;
    display: flex;
  gap: 24px;
}

.slide-info-block {
  display: flex;
  flex-direction: column;
 width: 32%;
}

.slide-block-top {
  background-color: var(--yellow);
  text-align: center;
  padding-top: 48px;
  padding-bottom: 48px;
}


.slide-info-block:nth-child(2n) .slide-block-top {
    background-color: #B3751A;
}

.slide-info-block:nth-child(3n) .slide-block-top {
background-color: #8B4513;

}

.slide-block-top span {
font-weight: 900;
font-size: 24px;
color: white;
}
.slide-block-bot {
  text-align: start;
min-height: 125px;
display: flex;
align-items: center;
padding-left: 16px;
padding-right: 16px;
box-shadow: 5px 5px 10px 0px #1B1B1B26;
border-bottom-left-radius: 12px;
border-bottom-right-radius: 12px;
}

.section-second-title {
  max-width: 745px;
  margin-bottom: 48px;
}

.slide-info-bot p{
font-weight: 500;
font-size: 18px;

}

/* базові крапки */
.swiper-pagination-bullet {
     background: white  !important;
    opacity: 1 !important;/* колір неактивних */
  opacity: 1;                 /* щоб були повністю непрозорі */
  width: 15px !important;
  height: 15px !important;
  border-radius: 50%;
  transition: all 0.3s ease;
  margin: 0 3px !important;   /* відстань між точками */
}

/* активна крапка */
.swiper-pagination-bullet-active {
  background-color: #DAA520 !important;  /* жовтий */
  width: 32px !important;                /* витягнута */
  border-radius: 12px !important;        /* капсула */
}


.swiper-horizontal>.swiper-pagination-bullets, .swiper-pagination-bullets.swiper-pagination-horizontal, .swiper-pagination-custom, .swiper-pagination-fraction {
    top: 88% !important; 
   
}

/* location */

.open-cert {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: #DAA520;
   border: 2px solid;
    border-image-slice: 1;
    border-image-source: linear-gradient(45deg, #DAA520, #8B4513);
  padding:21px 0px;

position: relative;
margin-top: 24px;
max-width: 266px;
}

.open-cert img {
    margin-right: 12px;
    width: 28px;
    height: 28px;
}

.open-cert span {
  text-transform: uppercase;  
  font-weight: 600;
font-size: 18px;
}



.location-btns {
  display: flex;
width: 100%;
margin-bottom: 32px;
}
.location-btn {
  cursor: pointer;
width: 33%;
font-weight: 600;
font-size: 18px;
text-transform: uppercase;
padding-bottom: 22px;
border-bottom: 1px solid var(--biege);

}



.location-content {
  display: flex;
  align-items: center;
 max-height: 0px;
 opacity: 0;
 overflow: hidden;
 transition: opacity 1s ease;

}

.location-content.active {
   max-height: 1000px;
 opacity: 1;
}

.location-text-part {
   color: var(--dark);
   display: flex;
   flex-direction: column;
}
.location-title, .contacts-location {
font-weight: 600;
font-size: 18px;
text-transform: uppercase;
margin-bottom: 16px;
}

.location-text {
font-weight: 400;
font-size: 16px;
margin-bottom: 24px;
}

.location-phone-number {
font-weight: 500;
font-size: 16px;
cursor:pointer;
}


.location-fullname {
font-weight: 600;
font-size: 16px;
}

.location-img {
  width: 65%;
  margin-left: 24px;
}

.location-btn.active {
  background: linear-gradient(45deg,#DAA520, #8B4513);
  -webkit-background-clip: text; 
  -webkit-text-fill-color: transparent;
  background-clip: text; 
  color: transparent;
 border-image: linear-gradient(45deg,#DAA520, #8B4513) 1;
  border-width: 2px;
    color: white; 
  
}
/* lightbox */

.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.8);
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.lightbox img {
    max-width: 90%;
    max-height: 90%;
}

.lightbox-close {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 40px;
    color: #fff;
    cursor: pointer;
}

.lightbox-prev,
.lightbox-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 40px;
    color: #fff;
    background: none;
    border: none;
    cursor: pointer;
}

.lightbox-prev { left: 40px; }
.lightbox-next { right: 40px; }
/* lab */

.lab-section {
  background-color: var(--biege);
}

.lab-wrapper {
  display: flex;
  justify-content: space-between;
  gap: 15px;
  align-items: center;
}

.lab-video {
  max-width: 500px;
  max-height: 881px;
  background-color: white;
padding: 15px;
border-radius: 18px;
    height: 100%;
    width: 100%;
}

.lab-text-content {
  max-width: 45%;
}

.lab-text {
  margin-bottom: 48px;
}

.lab-item {
      display: flex
;
    align-items: center;
}

.lab-item-numb {
  background-color: white;
  border-radius: 50%;
  padding: 20px;
  color: var(--yellow);
font-weight: 900;
font-size: 18px;
text-transform: uppercase;
margin-right: 12px;
}

.lab-item-text {
font-weight: 500;
font-size: 18px;
}


.lab-list {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

/* how we work  */




.how-work-list {
  display: flex;
  gap: 24px;
  margin-top: 96px;
}

.how-work-item {
background-color: var(--biege);
padding: 16px;
min-height: 220px;
position: relative;
width: 25%;
}

.how-work-inner {
  padding: 35px 24px;
  display: flex;
  flex-direction: column;
  background-color: white;
  border-radius: 18px;
  height: 100%;
  padding-top: 60px;
  text-align: center;
}

.how-work-item-title {
font-weight: 700;
font-size: 24px;
text-align: center;
margin-bottom: 24px;
}

.how-work-item-text {
font-weight: 400;
font-size: 16px;
}

.how-work-item-number {
  position: absolute;
  top: -20%;
  left: 50%;
  transform: translateX(-50%);
font-weight: 900;
font-size: 24px;
color: white;
text-transform: uppercase;
background-color: var(--yellow);
border-radius: 50%;
padding: 28px;
}


.how-work-content {
  display: flex;
  flex-direction: column;
}

.how-work-btn {
  align-self: center;
  margin-top: 48px;
font-weight: 600;
font-size: 18px;
padding: 18px 124px;
}

/*  FAQ */


.FAQ-section {
  background-color: var(--biege);
}

.FAQ-list {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.FAQ-list-item {
  background-color: white;
padding: 16px;
}

.FAQ-item-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--biege);
  border-radius: 18px;
  padding: 30px 24px;
}

.FAQ-item-title {
font-size: 24px;
max-width: 95%;
font-weight: 700;
}

.FAQ-item-text {
margin-top: 24px;
}

.FAQ-item-btn {
  background-color: white;
  border: none;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  position: relative;
}

.FAQ-item-btn::before {
  content: "";
  display: block;
  width: 9px;
  height: 9px;
  border-right: 2px solid black;
  border-bottom: 2px solid black;
  transform: rotate(45deg);
  transition: transform 0.3s ease;
}

/* коли активний (наприклад, при відкритті акордеону) */
.FAQ-item-btn.active::before {
  transform: rotate(-135deg);
}


.FAQ-item-content {
   display: flex;
  flex-direction: column;
  max-height: 0;
  opacity: 0;
  overflow: hidden;
 
  background-color: var(--biege);
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
  
}




.rotated {
  transform: rotate(-180deg);
} 

.FAQ-item-top.active {
  border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.FAQ-item-content-active {
  max-height: 1200px;
  opacity: 1;
   
      padding: 24px;
}


/* contact us  */


.contact-us-wrapper {
  display: flex;
  justify-content: space-between;
}

.contact-us-section-title::after {
max-width: 86px;
}

.contact-us-text-content {
  display: flex;
  flex-direction: column;
  max-width: 63%;
}



.contact-us-info-block:not(:last-child) {
margin-bottom: 48px;
}

.contact-us-info-block-title {
font-weight: 700;
font-size: 18px;
text-transform: uppercase;
margin-bottom: 24px;
}

.contact-us-info-block-location, .contact-us-info-block-phone  {
font-weight: 400;
font-size: 16px;
display: flex;
align-items: center;
cursor:pointer;
}

.contact-us-info-block-location {
  margin-bottom: 16px;
}

.contact-us-info-block-location::before {
  content: '';
  width: 20px;
  height: 20px;
  background-image: url('/wp-content/themes/twentytwentyfive/assets/images/location.svg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  margin-right: 8px;
}

.contact-us-info-block-phone::before {
  content: '';
  width: 20px;
  height: 20px;
  background-image: url('/wp-content/themes/twentytwentyfive/assets/images/call.svg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  margin-right: 8px;
  margin-bottom:5px;
  cursor:pointer;
}

.wpcf7 {
        width: 35%;
}

.wpcf7-form-control-wrap {
    width: 100%;
}
.form {
  background-color: var(--biege);
  padding: 16px;
    width: 100%;
}

.form-wrapper p {
    margin-top: 24px;
    margin-bottom: 12px;
}

.form-wrapper p:last-child {
    margin-bottom: 0;
}

.screen-reader-response {
    display: none;
}

.wpcf7-not-valid-tip {
    color: red;
    margin: 5px 0;
}

.hidden-fields-container {
    display: none;
}

.wpcf7-response-output {
    color: red;
    margin-top: 10px;
}

.form-title {
text-align: center;
font-weight: 600;
font-size: 18px;
}

.form-wrapper {
  display: flex;
  flex-direction: column;
  background-color: white;
  border-radius: 18px;
  padding: 24px;
  height: 100%;
  align-items: center;
} 


.form-label {
font-weight: 600;
font-size: 18px;
margin-bottom: 12px;
margin-top: 24px;
}

.form-label  span {
font-weight: 400;
font-size: 16px;
opacity: 0.5;
}

.form-input {
  padding: 16px 24px;
  background-color: var(--biege);
font-weight: 400;
font-size: 16px;
width: 100%;
}

.form-btn {
  margin-top: 24px;
}


/* footer */


.footer {
  background-color: var(--dark);
}

.footer-top {
  display: flex;
  justify-content: space-between;
  align-items: center ;
}

.footer-list {
  flex-direction: column;
  gap: 20px ;
align-items: start;
}

.footer-contact-block:not(:last-child) {
border-bottom: 1px solid rgba(227, 226, 222, 0.3);
}

.footer-contacts  {
  color: white;
}
.footer-contact-block {
  padding: 12px;
  opacity: 0.8;
} 

.footer-scroll-btn {
  border: 10px solid white;
  width: 60px;
  height: 60px;
  border-radius: 50%;
position: relative;
}

.footer-scroll-btn::before {
    content: "";
position: absolute;
top: 42%;
left: 37%;
  display: block;
  width: 9px;
  height: 9px;
  border-right: 2px solid white;
  border-bottom: 2px solid white;
  transform: rotate(225deg);
}


.footer-bot {
margin-top: 64px;
  border-top: 1px solid white;
  padding-top: 24px;
  font-family: 'Open Sans';
font-weight: 400;
font-size: 14px;
text-align: center;
color: white;
opacity: 0.5;
}



li.category-item-img {
    content: '';
    width: 250px;
    height: 250px;
    background-color: white;
    display: inline-block;
}
    
    
    .creatory-logo {
      max-width: 200px;
    margin: 0 auto;
    display: block;
    margin-top: 30px;

    }


.cgc-icon {
    position: fixed;
    z-index: 10;
    bottom: 32px;
    right: 32px;
    width: 64px;
    height: 64px;
    border-radius: 50%;
    background: linear-gradient(45deg, #DAA520, #8B4513);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 0.3s linear;
    animation: 1.2s linear 0s infinite normal both cgc-pulse;
}
@keyframes cgc-pulse {
    0% {
        box-shadow: none;
    }
    33% {
        box-shadow: 0 0 0 4px rgba(218, 165, 32, 1);
    }
    66% {
        box-shadow: 0 0 0 8px rgba(218, 165, 32, 0.5);
    }
    100% {
        box-shadow: 0 0 0 10px rgba(218, 165, 32, 0.2);
    }
}
.cgc-icon.open {
    display: none;
}
.cgc-icon svg {
    width: 32px;
    height: 32px;
}
.cgc-icon svg path {
    fill: white;
}
.cgc-modal {
    width: 416px;
    position: fixed;
    z-index: 10;
    background: white;
    right: 32px;
    bottom: 32px;
    display: none;
    flex-direction: column;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.25);
}
.cgc-modal.open {
    display: flex;
}
.cgc-modal-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #1b1b1b;
    color: white;
    padding: 24px 12px;
}
.cgc-modal-header-container {
    display: flex;
    align-items: center;
    gap: 10px;
}
.cgc-modal-header-logo {
    width: 48px;
    height: 48px;
    background: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.cgc-modal-header-container span {
    font-weight: 600;
    font-size: 16px;
}
.cgc-close {
    cursor: pointer;
}
.cgc-chat-box {
    width: 100% !important;
    max-width: none !important;
    border: none !important;
    padding: 0 !important;
}
.cgc-chat-messages {
    height: 416px;
    max-height: 416px !important;
    overflow-y: scroll;
    padding: 12px;
}
.cgc-chat-messages > div {
    margin-bottom: 12px !important;
    display: flex;
    max-width: 80%;
    width: fit-content;
}
.cgc-message-user {
    background: #DAA520;
    margin-left: auto;
    text-align: right;
}
.cgc-message-bot {
    background: #E3E2DE;
}
.cgc-chat-messages > div strong {
    display: none;
}
.cgc-chat-messages > div p {
    padding: 12px;
    font-weight: 400;
    font-size: 12px;
}
.cgc-chat-time {
    margin: auto 4px 4px 4px !important;
    height: 100%;
    align-items: flex-end;
    font-size: 8px !important;
}
.cgc-chat-wrapper {
    padding: 24px 12px;
    background: #e3e2de;
    display: flex;
    gap: 12px !important;
    margin: 0 !important;
}
.cgc-chat-input {
    border: none;
    width: 100%;
    padding: 14px 24px;
    border-radius: 50px;
    background: white;
}
.cgc-chat-send {
    cursor: pointer;
    height: 100%;
    aspect-ratio: 1;
    width: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(45deg, #DAA520, #8B4513);
    border-radius: 50%;
}

@media screen and (max-width: 768px) {
    .cgc-icon {
        width: 48px;
        height: 48px;
        bottom: 12px;
        right: 12px;
    }
    .cgc-icon svg {
        width: 24px;
        height: 24px;
    }
    .cgc-modal {
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        bottom: unset;
        right: unset;
        border-radius: 0;
    }
    .cgc-chat-box {
        height: 100% !important;
        max-height: none !important;
    }
    .cgc-chat-messages {
        height: calc(100% - 94px) !important;
        max-height: none !important;
    }
}





